Jump to content

Photo

RespeQt r4-beta1 released


29 replies to this topic

#26 TheMontezuma OFFLINE  

TheMontezuma

    Dragonstomper

  • 539 posts
  • Location:Hildesheim, D / Kraków, PL

Posted Sun Apr 30, 2017 12:26 PM

OK, Release 4 Beta 2 :)

 

release 4 (beta)
* fixed uninitialized pointer to log window instance causing a crash

 

https://github.com/j...es/tag/r4-beta2

 

Also, win32 binaries are available now.

 

Hi Joey,

I wondered if the Beta 2 is going to be announced as "release 4"?

If so, I could build the binaries for OSX and for RPI, please let me know.

Regarding Windows - did you compile RespeQt binaries with Qt 5.8 or lower?

In the post below I wrote about compatibilty issue - the latest Qt supporting Windows XP is Qt 5.7.1:

http://atariage.com/...-6#entry3725338

Regards

Marcin



#27 Kyle22 ONLINE  

Kyle22

    River Patroller

  • 3,111 posts
  • Location:McKees Rocks (Pittsburgh), PA

Posted Sun Apr 30, 2017 7:19 PM

The one I downloaded works on XP.

Please continue to support XP.

Thanks.

#28 JoSch OFFLINE  

JoSch

    Moonsweeper

  • 424 posts
  • Location:Germany

Posted Mon May 1, 2017 1:19 AM

Then we should lock the development environment to Qt 5.7 for the time being.



#29 greblus OFFLINE  

greblus

    Moonsweeper

  • 259 posts

Posted Mon May 1, 2017 1:38 AM

Qt5.6 is the LTS release which should be suppored till the end of 2018 so it might be a better option for QtWidgets app. There are a few interesting new features only (eg text selection handles for touch enabled devices) in 5.8.

#30 Joey Z OFFLINE  

Joey Z

    Dragonstomper

  • Topic Starter
  • 874 posts
  • Location:Hoffman Estates, IL

Posted Mon May 1, 2017 3:13 AM

 

Hi Joey,

I wondered if the Beta 2 is going to be announced as "release 4"?

If so, I could build the binaries for OSX and for RPI, please let me know.

Regarding Windows - did you compile RespeQt binaries with Qt 5.8 or lower?

In the post below I wrote about compatibilty issue - the latest Qt supporting Windows XP is Qt 5.7.1:

http://atariage.com/...-6#entry3725338

Regards

Marcin

 

I built with 5.5.0 which I have been using since the beginning more or less. Also, the final R4 release is out on github.

 

Qt5.6 is the LTS release which should be suppored till the end of 2018 so it might be a better option for QtWidgets app.

 

Yes, using 5.6 is probably a good idea.


Edited by Joey Z, Mon May 1, 2017 3:14 AM.




Reply to this topic



  


0 user(s) are browsing this forum

0 members, 0 guests, 0 anonymous users